> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/requisicoes-para-signatarios/deletesigner.md).

# deleteSigner

Excluir signatário

### Visão geral

Parâmetros:&#x20;

* String - token do documento

Retorno:

* String[ ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)- caso sucesso
* Exception - caso falha

Para excluir esse signatário precisamos:

* definir seu token api.
* definir o token do signatário.
* chamar o método.

### Uso:

Importe os componentes relevantes:

```java
import signers.SignerRequest;
```

Salve seu [Api Token](/master.md):

```java
String apiToken = "SEU TOKEN";
```

Salve o token de seu signatário:

```java
String signerToken = "TOKEN DO SIGNATÁRIO";
```

Chame o método deleteSigner e receba como resposta uma string contendo "Signatário removido com sucesso."[ ](/facilitadores/sdks/sdk-em-java/classes-usadas/response/signer-response.md)ou uma mensagem de erro:

```java
try {
    Signer signerResponse = new SignerRequest(apiToken).updateSigner(signerToken, signer);
    String jsonDocResponse = new JsonConverter().signerToJson(signerResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Exemplo completo:

```java
import signers.SignerRequest;

public class DeleteSigner {
    public static void main(String[] args) throws Exception {
        String apiToken = "SEU TOKEN";
        String signerToken = "TOKEN DO SIGNATÁRIO";

        try {
            String response = new SignerRequest(apiToken).deleteSigner(signerToken);
            System.out.println(response);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/facilitadores/sdks/sdk-em-java/requisicoes-para-signatarios/deletesigner.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
